BURROW(8)

NAME
Burrow - Apache Kafka consumer lag checking

SYNOPSIS
Burrow [-config-dir directory]

DESCRIPTION
Burrow is a monitoring companion for Apache Kafka that provides consumer lag checking as a service without the need for specifying thresholds. It monitors committed offsets for all consumers and calculates the status of those consumers on demand.

An HTTP endpoint is provided to request status on demand, as well as provide other Kafka cluster information.

There are also configurable notifiers that can send status out via email or HTTP calls to another service.

OPTIONS

-config-dir
    Directory that contains the configuration file.

SEE ALSO
Documentation at https://github.com/linkedin/Burrow/wiki.